Xalan-Java 2.7.1: Class EndSelectionEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.trace
Class EndSelectionEvent

    java.lang.Object
      |
      +--org.apache.xalan.trace.SelectionEvent
            |
            +--org.apache.xalan.trace.EndSelectionEvent

public class EndSelectionEvent
extends SelectionEvent

Event triggered by completion of a xsl:for-each selection or a xsl:apply-templates selection.

Usage:
  **For advanced use only**

Fields inherited from class org.apache.xalan.trace.SelectionEvent
`m_attributeName, m_processor, m_selection, m_sourceNode, m_styleNode, m_xpath`

Constructor Summary
`EndSelectionEvent(TransformerImpl processor, Node sourceNode, ElemTemplateElement styleNode, java.lang.String attributeName, XPath xpath, XObject selection)` Create an EndSelectionEvent.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndSelectionEvent

    public EndSelectionEvent(TransformerImpl processor,
                             Node sourceNode,
                             ElemTemplateElement styleNode,
                             java.lang.String attributeName,
                             XPath xpath,
                             XObject selection)

  Create an EndSelectionEvent.
  Parameters:
    `processor` - The XSLT TransformerFactory.
    `sourceNode` - The current context node.
    `styleNode` - node in the style tree reference for the event. Should not be null. That is not enforced.
    `attributeName` - The attribute name from which the selection is made.
    `xpath` - The XPath that executed the selection.
    `selection` - The result of the selection.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.